## cloudkitty 23.0.0~rc1

=== debian/changelog ===
cloudkitty (23.0.0~rc1-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Tue, 16 Sep 2025 06:30:24 +0000

cloudkitty (23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of (build-)depends, satisfied in Trixie.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 08:25:50 +0200
