## cloudkitty 23.0.0~rc2

=== debian/changelog ===
cloudkitty (23.0.0~rc2-3) unstable; urgency=medium

  * Add Fix_elasticsearch_and_opensearch_requests.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 16:15:06 +0200

cloudkitty (23.0.0~rc2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 00:05:04 +0200

cloudkitty (23.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 12:51:45 +0200
