=== doc/requirements.txt ===
openstackdocstheme>=2.2.6 # Apache-2.0
sphinxcontrib-httpdomain>=1.7.0 # BSD
sphinxcontrib-pecanwsme>=0.10.0 # Apache-2.0
reno>=3.2.0 # Apache-2.0
Pygments>=2.7.2 # BSD license
os-api-ref>=2.1.0 # Apache-2.0
